# This code is copyrighted by bluedynamics.com and iuveno AG in June, 2001.
#
# written by Stephan Richter
# Last updated: June 8, 2001

from DocumentTemplate.DT_String import String
from ZBabelTagsUtil import BasicBabelTag, parseTagParameters

class FishTag(BasicBabelTag,):
    '''Fish Tag class - Short-Cut version of the cool translation tag (babel)

       This tag is used to quickly translate menu-like text snippets, similar to
       the KDE translation.'''

    # define the tag name
    name = 'fish'

    # define additional variables
    literal = 1
    src = 'label'
    attrs = {'dst': None, 'label': '', 'data': None, 'towerId': None}

    def __init__(self, args):
        '''__init__(self, blocks) --> Initialize tag object; return None'''
        self.section = None
        args = parseTagParameters(args, tag=self.name)
        self.args = self.validateArguments(args)

        for attr in self.attrs.keys():
            setattr(self, attr, self.attrs[attr])


    def render(self, md):
        '''render(self, md) --> Do the Translation; return string'''
        self.defineAttributes(md)

        # if data is true, use the translation output to format data
        if self.data:
            data = self.data
            return eval(self.translate(self.label, md, makeNewEntries=0))
        else:
            return self.translate(self.label, md, makeNewEntries=0)


# register the DTML-FISH tag
String.commands['fish'] = FishTag
