# This code is copyrighted by bluedynamics.com and iuveno AG in June, 2001.
#
# written by Stephan Richter
# Last updated: June 8, 2001

from OFS.SimpleItem import SimpleItem

class Phrase(SimpleItem):
    '''Phrase class - Implement a phrase for a particular language'''

    # list of possible attributes
    attrs = {'id': '', 'md5hash': '', 'lang': 'en', 'phrase': ''}

    def __init__(self, dbRow = None, **kw):
        '''__init__(self, dbRow = None, **kw) --> initialize the object; return None'''
        if dbRow:
            values = dbRow
        else:
            values = kw
        for attr in self.attrs.keys():
            try:
                setattr(self, attr, values[attr])
            except:
                setattr(self, attr, self.attrs[attr])


    def __getitem__(self, item):
        '''__getitem__(self, item) --> get an item from the object; return object'''
        if (item in self.attrs.keys()):
            return getattr(self, item)


    def __setitem__(self, item, value):
        '''__setitem__(self, item, value) --> set an item in the object; return None'''
        if (item in self.attrs.keys()):
            setattr(self, item, value)


    def __str__(self):
        '''__str__(self) --> return object information as a string; return string'''
        return ((self.lang + ': ') + self.phrase)


    def edit(self, phrase = ''):
        '''edit(self, phrase = '') --> edit the actual text (phrase) of the Phrase object;
           return None'''
        self.phrase = phrase

