# This code is copyrighted by bluedynamics.com and iuveno AG in June, 2001.
#
# written by Stephan Richter
# Last updated: June 8, 2001

from Products.ZSQLMethods.SQL import SQL
from Globals import HTMLFile

class SQLContainerSupport:
    'SQLContainerSupport class - adds some convinient functionality to a SQL Container'

    manage_options = ({'label': 'SQL Methods', 'action': 'manage_sql'},
                      {'label': 'Init Tables/Views', 'action': 'manage_initTablesForm'})

    __ac_permissions__ = (('Manage ZBabel Towers', ('manage_sql', 'manage_initTables', 'manage_initTablesForm')),)

    manage_sql = HTMLFile('dtml/manage_sql', globals())
    manage_initTablesForm = HTMLFile('dtml/manage_initTablesForm', globals())
    manage_initTables = HTMLFile('dtml/manage_initTables', globals())


    def getSQLMethods(self):
        '''getSQLMethods(self) --> return a list of SQL Methods defined in ProjectFolder;
        return list of objects'''
        sqlMethods = []
        type = SQL.meta_type

        for ob in self.__dict__.values():
            if (hasattr(ob, 'meta_type') and (ob.meta_type == type)):
                sqlMethods.append(ob)

        return sqlMethods


    def getInitSQLMethods(self):
        '''getInitSQLMethods(self) - get all the table initialization methods; return list'''
        initMethods = []

        for sqlMethod in self.getSQLMethods():
            if (sqlMethod.id[:8] == 'sql_init'):
                initMethods.append(sqlMethod)

        return initMethods




