# This code is copyrighted by bluedynamics.com and iuveno AG in June, 2001.
#
# written by Andrew Milton and Stephan Richter
# Last updated: June 8, 2001

_sql_initPhrases = '''
<dtml-if dropFirst>
  DROP SEQUENCE Phrases_id_seq;
  DROP TABLE Phrases;
</dtml-if>

CREATE TABLE Phrases (
  id               SERIAL,
  md5hash          varchar( 32) NOT NULL,
  lang             varchar( 16) NOT NULL,
  phrase           text         NOT NULL);
'''

_sql_addPhrase = '''
INSERT
  INTO Phrases (md5hash, lang, phrase)
  VALUES (<dtml-sqlvar md5hash type=nb>,
          <dtml-sqlvar lang type=nb>,
          <dtml-sqlvar phrase type=nb> );

SELECT last_value as id FROM Phrases_id_seq;
'''

_sql_editPhrase = '''
UPDATE Phrases
  SET phrase = <dtml-sqlvar phrase type=nb>
  WHERE id = <dtml-sqlvar id type=int>
'''

_sql_deletePhrase = '''
DELETE FROM Phrases
  WHERE id = <dtml-sqlvar id type=int>
'''

_sql_deletePhraseAndTranslations = '''
DELETE FROM Phrases
  WHERE md5hash IN
    ( SELECT md5hash
        FROM Phrases
        WHERE id = <dtml-sqlvar id type=int> )
'''

_sql_deletePhrasesOfLanguage = '''
DELETE FROM Phrases
  WHERE <dtml-sqltest lang type="string">
'''

_qry_getAllPhrases = '''
SELECT *
  FROM Phrases
  ORDER BY id
'''

_qry_getPhrase = '''
SELECT *
  FROM Phrases
  WHERE id = <dtml-sqlvar id type=int>
'''

_qry_getAllPhrasesOfLanguage = '''
SELECT *
  FROM Phrases
  WHERE lang = <dtml-sqlvar lang type=string>
'''

_qry_getDstPhraseFromSrcPhrase = '''
SELECT *
  FROM Phrases
  WHERE md5hash IN
    ( SELECT md5hash
      FROM Phrases
      WHERE id = <dtml-sqlvar srcPhraseId type=int> )
    AND
    lang = <dtml-sqlvar dsLang type=string>
'''

_qry_getPhrasesByHash = '''
SELECT *
  FROM Phrases
  WHERE md5hash = <dtml-sqlvar hash type=string>
'''

_qry_getAllLanguages = '''
SELECT DISTINCT lang
  FROM Phrases
'''
