# This code is copyrighted by bluedynamics.com and iuveno AG in June, 2001.
#
# written by Andrew Milton and Stephan Richter
# Last updated: June 8, 2001

from DocumentTemplate.DT_String import String
from ZBabelTagsUtil import BasicBabelTag, parseTagParameters
import string


class ZBabelTag(BasicBabelTag,):
    '''ZBabel Tag class - The cool translation tag'''

    # define the name of the tag; also tell the system it is a doublet
    name = 'babel'
    blockContinuations = ()


    def __init__(self, blocks):
        '''__init__(self, blocks) --> Initialize tag object; return None'''
        (tname, args, section,) = blocks[0]

        self.section = section
        args = parseTagParameters(args)
        self.args = self.validateArguments(args)

        # set the attributes to the object
        for attr in self.attrs.keys():
            setattr(self, attr, self.attrs[attr])


    def render(self, md):
        '''render(self, md) --> Do the Translation; return string'''
        srcText = ''
        object = md.this
        self.defineAttributes(md)
        
        if (self.literal in [1, '1', 'yes', 'true', 't']):
            srcText = _cleanText(render_blocks(self.section.blocks, md))
            text = self.translate(srcText, md)
        else:
            text = self.smartTranslate(md)

        return text


# register the DTML-BABEL tag
String.commands['babel'] = ZBabelTag
